Bug 1010629 - Throw exception when enabling ssh password authentication
Throw exception when enabling ssh password authentication
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: 3.4.1
Assigned To: Ryan Barry
bugs@ovirt.org
node
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-22 02:52 EDT by haiyang,dong
Modified: 2014-04-30 07:03 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-30 07:03:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
attached Screenshot (10.27 KB, image/png)
2013-09-22 02:52 EDT, haiyang,dong
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19485 None None None Never

  None (edit)
Description haiyang,dong 2013-09-22 02:52:16 EDT
Created attachment 801103 [details]
attached Screenshot

Description of problem:
Clean install ovirt-node-iso-3.1.0-0.999.687.el6.iso
and  enter Security page and selecting "enable ssh password authentication   []"
Then clicking "Save" button to apply it. but an error occurred while applying the 
changes:
Combining  shell=True and a command list does not work. With shell=True the first argument 
must be a string. A list otherwise.


Version-Release number of selected component (if applicable):
ovirt-node-iso-3.1.0-0.999.687.el6.iso


How reproducible:
100% 
 
Steps to Reproduce:

Actual result:


Expect result:


Additional info:
Could meet the same issue when configuring other service in ovirt-node setup menu.
Comment 1 Sandro Bonazzola 2014-03-04 04:28:11 EST
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.

Note You need to log in before you can comment on or make changes to this bug.